
Foreman - Bug #12215

Debian package build is failing with "`ruby_22` is not a valid platform."

10/19/2015 02:11 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Tests   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2841

  

Description

Jenkins output:

17:38:21 /usr/bin/bundle package

17:38:21 `ruby_22` is not a valid platform. The available options are: [:ruby, :ruby_18,

17:38:21 :ruby_19, :ruby_20, :ruby_21, :mri, :mri_18, :mri_19, :mri_20, :mri_21, :rbx,

17:38:21 :jruby, :jruby_18, :jruby_19, :mswin, :mingw, :mingw_18, :mingw_19, :mingw_20,

17:38:21 :mingw_21, :x64_mingw, :x64_mingw_20, :x64_mingw_21]

17:38:21 debian/rules:11: recipe for target 'build/foreman' failed

Related issues:

Related to Foreman - Bug #11016: missing gem in test.rb under ruby 2.2.0 Closed 07/05/2015

Related to Smart Proxy - Bug #12217: `ruby_21` is not a valid platform` with ... Closed 10/20/2015

Associated revisions

Revision 6eb234aa - 10/20/2015 09:35 AM - Michael Moll 

fixes #12215 - "`ruby_22` is not a valid platform"

Use RUBY_VERSION instead of :platforms to support older Bundler

versions.

History

#1 - 10/19/2015 02:12 PM - Anonymous

- Related to Bug #11016: missing gem in test.rb under ruby 2.2.0 added

#2 - 10/19/2015 02:14 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2841 added

- Pull request deleted ()

#3 - 10/20/2015 04:15 AM - Dominic Cleal

- Related to Bug #12217: `ruby_21` is not a valid platform` with older versions of Bundler added

#4 - 10/20/2015 09:35 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#5 - 10/20/2015 10:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset 6eb234aa1062d2a56798f343c3e1aa305532900d.
